sdr::FFT Class Reference

FFT module class, provides static methods to perfrom a FFT directly. More...

`#include <fftplan.hh>`

## Public Types

enum | Direction { FORWARD, BACKWARD }
| Direction type. More...

## Static Public Member Functions

template<class Scalar >
static void | exec (const Buffer< std::complex< Scalar > > &in, const Buffer< std::complex< Scalar > > &out, FFT::Direction dir)
| Performs a FFT transform. More...
template<class Scalar >
static void | exec (const Buffer< std::complex< Scalar > > &inplace, FFT::Direction dir)
| Performs an in-place FFT transform. More...

## Detailed Description

FFT module class, provides static methods to perfrom a FFT directly.

## Member Enumeration Documentation

enum sdr::FFT::Direction

Direction type.

## Member Function Documentation

template<class Scalar >

static void sdr::FFT::exec | ( | const Buffer< std::complex< Scalar > > & | in,
|  | const Buffer< std::complex< Scalar > > & | out,
|  | FFT::Direction | dir
| ) |  |

inlinestatic

Performs a FFT transform.

template<class Scalar >

static void sdr::FFT::exec | ( | const Buffer< std::complex< Scalar > > & | inplace,
|  | FFT::Direction | dir
| ) |  |

inlinestatic

Performs an in-place FFT transform.

The documentation for this class was generated from the following file:

- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/fftplan.hh